#define PIN_ANALOG_RAIN_SENSOR A1  // Аналоговый вход для сигнала датчика протечки и дождя
#define PIN_DIGITAL_RAIN_SENSOR 5  // Цифровой вход для сигнала датчика протечки и дождя
  
void setup(){
   Serial.begin(9600);
   pinMode(2, OUTPUT); // Используем Pin12 для вывода
   pinMode(7, OUTPUT); // Используем Pin13 для вывода
}
void loop(){
   int sensorValue = analogRead(PIN_ANALOG_RAIN_SENSOR); // Считываем данные с аналогового порта
   Serial.print("Analog value: "); 
   Serial.println(sensorValue); // Выводим аналоговое значение в монитр порта
   if(sensorValue > 1000)
   {
    digitalWrite(2, HIGH); // Включаем красный свет
    Serial.print("Analog value: ");
   } else {
    digitalWrite(2, LOW); // Включаем красный свет
   }
 
   sensorValue = digitalRead(PIN_DIGITAL_RAIN_SENSOR); // Считываем данные с цифрового порта
   Serial.print("Digital value: "); 
   Serial.println(sensorValue); // Выводим цифровое значение в монитр порта
   if(sensorValue == 1)
   {
    digitalWrite(7, HIGH); // Включаем красный свет
   } else {
    digitalWrite(7, LOW); // Включаем красный свет
   }
   delay(1000); // Задержка между измерениями
}
